uniform mediump float intensity;
varying mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform mediump vec2 srcStart;
uniform mediump vec2 srcEnd;
uniform mediump vec2 pixelSize;
uniform mediump vec2 seconds;
precision mediump float;

vec2 rand(vec2 p)
{
	return normalize(fract(cos(p*mat2(195,174,286,183))*742.)-.5) * intensity * 2.;
}

void main(void)
{
    vec2 srcSize = srcEnd - srcStart;
    vec2 uv = vTex + rand(vTex) * pixelSize;
    uv = (uv - srcStart) / srcSize;
    uv = clamp(uv, 0.0, 1.0) * srcSize + srcStart;

    gl_FragColor = texture2D(samplerFront, uv);
}